package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.exception.TranFailException;
import java.math.BigDecimal;
import java.util.regex.Pattern;
import org.apache.axis.utils.StringUtils;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/IntegerNumberCalculateNewAction.class */
public class IntegerNumberCalculateNewAction extends LifeAction {
    private String numFieldNameOne;
    private String flagFieldName;
    private String numFieldNameTwo;
    private String numFieldNameThree;

    public String execute(Context context) throws GENEException {
        String strOne;
        if (this.numFieldNameOne == null || "".equals(this.numFieldNameOne.trim()) || this.numFieldNameTwo == null || "".equals(this.numFieldNameTwo.trim()) || this.numFieldNameThree == null || "".equals(this.numFieldNameThree.trim())) {
            throw new IllegalArgumentException("property of countField should not be null");
        }
        String strOneTemp = (String) context.getDataValue(this.numFieldNameOne.trim());
        String strTwoTemp = (String) context.getDataValue(this.numFieldNameTwo.trim());
        if (StringUtils.isEmpty(strOneTemp) || StringUtils.isEmpty(strOneTemp.trim())) {
            strOne = "0.00";
        } else {
            strOne = strOneTemp;
        }
        if (strOne.indexOf(46) >= 0) {
            context.setDataValue(this.numFieldNameThree, String.valueOf(strOne));
            return "0";
        }
        Pattern pattern = Pattern.compile("(\\d+\\.\\d+$)|(\\d+$)");
        boolean p1 = pattern.matcher(strOne).matches();
        boolean p2 = pattern.matcher(strTwoTemp).matches();
        if (!p1 || !p2) {
            throw new IllegalArgumentException("输入数据含有非数字" + strOne + " " + strTwoTemp);
        }
        try {
            BigDecimal one = new BigDecimal(strOne);
            BigDecimal two = new BigDecimal(strTwoTemp);
            if ("+".equals(this.flagFieldName)) {
                one = one.add(two);
            } else if ("-".equals(this.flagFieldName)) {
                one = one.subtract(two);
            } else if ("*".equals(this.flagFieldName)) {
                one = one.multiply(two);
            } else if ("/".equals(this.flagFieldName)) {
                if (!"0".equals(strTwoTemp)) {
                    one = one.divide(two);
                } else {
                    throw new IllegalArgumentException("输入除数为零".concat(String.valueOf(strTwoTemp)));
                }
            }
            if ("*".equals(this.flagFieldName)) {
                context.setDataValue(this.numFieldNameThree, String.valueOf(one.longValue()));
                return "0";
            }
            context.setDataValue(this.numFieldNameThree, String.valueOf(one));
            return "0";
        } catch (NumberFormatException e) {
            throw new TranFailException("数据格式化错误，格式化数据含有非数字", e);
        }
    }

    public String getNumFieldNameOne() {
        return this.numFieldNameOne;
    }

    public void setNumFieldNameOne(String numFieldNameOne) {
        this.numFieldNameOne = numFieldNameOne;
    }

    public String getFlagFieldName() {
        return this.flagFieldName;
    }

    public void setFlagFieldName(String flagFieldName) {
        this.flagFieldName = flagFieldName;
    }

    public String getNumFieldNameTwo() {
        return this.numFieldNameTwo;
    }

    public void setNumFieldNameTwo(String numFieldNameTwo) {
        this.numFieldNameTwo = numFieldNameTwo;
    }

    public String getNumFieldNameThree() {
        return this.numFieldNameThree;
    }

    public void setNumFieldNameThree(String numFieldNameThree) {
        this.numFieldNameThree = numFieldNameThree;
    }
}
